import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiChangesService } from "../../../../services/sti-changes-service";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
export declare class StiImageEditorComponent implements OnInit {
    model: StiModelService;
    loc: StiLocalizationService;
    helper: StiHelperService;
    changesService: StiChangesService;
    property: StiEditorProperty;
    object?: any;
    constructor(model: StiModelService, loc: StiLocalizationService, helper: StiHelperService, changesService: StiChangesService);
    ngOnInit(): void;
    get imageUrl(): any;
    set imageUrl(value: any);
    clear(): void;
    onFileSelected(event: any): void;
}
